<%@ page import="com.tui.uk.config.ConfReader" %>
<c:set var="bookingComponent" value="${bookingInfo.bookingComponent}" />
<c:set var="clientApp" value="${bookingComponent.clientApplication.clientApplicationName}"/>
<%
  pageContext.setAttribute("tuiApplicableBrands", ConfReader.getConfEntry("tuicommon.applicableBrands", null), PageContext.REQUEST_SCOPE);
   pageContext.setAttribute("tuiFlag", ConfReader.getBooleanEntry("tuicommon.paymentpage", false), PageContext.REQUEST_SCOPE);
 
  %>
<c:choose>
	    <c:when test="${fn:contains(tuiApplicableBrands, clientApp) && tuiFlag == 'true'}">	
  	   <%@ include file="/tuicommon/tuicommonSecurePage.jspf" %>
     </c:when> 
    <c:when test="${fn:toLowerCase(clientApp) == fn:toLowerCase('ANCTHOMSON')}">
        <%@ include file="/amendandcancel/ancSecurePage.jspf" %>
    </c:when>
    <c:when test="${fn:toLowerCase(clientApp) == fn:toLowerCase('ANCFIRSTCHOICE')}">
        <%@ include file="/amendandcancel/ancSecurePage.jspf" %>
    </c:when>
    <c:when test="${fn:toLowerCase(clientApp) == fn:toLowerCase('ANCTHFO')}">
        <%@ include file="/amendandcancel/ancSecurePage.jspf" %>
    </c:when>
    <c:when test="${fn:toLowerCase(clientApp) == fn:toLowerCase('ANCTHCRUISE')}">
        <%@ include file="/amendandcancel/ancSecurePage.jspf" %>
    </c:when>
    <c:when test="${fn:toLowerCase(clientApp) == fn:toLowerCase('ANCFALCON')}">
        <%@ include file="/amendandcancel/ancSecurePage.jspf" %>
    </c:when>
    <c:when test="${fn:toLowerCase(clientApp) == fn:toLowerCase('ANCFJFO')}">
        <%@ include file="/amendandcancel/ancSecurePage.jspf" %>
    </c:when>
        <c:when test="${fn:toLowerCase(clientApp) == fn:toLowerCase('ANCSKICS')}">
        <%@ include file="/amendandcancel/ancSecurePage.jspf" %>
    </c:when>
        <c:when test="${fn:toLowerCase(clientApp) == fn:toLowerCase('ANCSKIES')}">
        <%@ include file="/amendandcancel/ancSecurePage.jspf" %>
    </c:when>
    <c:when test="${fn:containsIgnoreCase(clientApp, 'FCAO')}">
        <%@ include file="/fcao/fcaoSecurePage.jspf" %>
    </c:when>
    <c:when test="${fn:containsIgnoreCase(clientApp, 'ThomsonBYO')}">
        <%@ include file="/thomson/byo/securePage.jspf" %>
    </c:when>
    <c:when test="${fn:containsIgnoreCase(clientApp, 'ThomsonAO')}">
        <%@ include file="/thomson/thao/thaoSecurePage.jspf" %>
    </c:when>
    <c:when test="${fn:containsIgnoreCase(clientApp, 'HUGOBYO')}">
        <%@ include file="/hugo/hugoSecurePage.jspf" %>
    </c:when>
    <c:when test="${fn:containsIgnoreCase(clientApp, 'Portland')}">
        <%@ include file="/portland/securePage.jsp" %>
    </c:when>
    <c:when test="${fn:containsIgnoreCase(clientApp, 'GREENFIELDBeach')}">
        <%@ include file="/greenfield/beach/securePage.jsp" %>
    </c:when>
    <c:when test="${fn:containsIgnoreCase(clientApp, 'GREENFIELDSimply')}">
        <%@ include file="/greenfield/simply/jspf/securePage.jsp" %>
    </c:when>
    <c:when test="${fn:containsIgnoreCase(clientApp, 'FALCONBYO')}">
        <%@ include file="/falcon/securePage.jspf" %>
    </c:when>
    <c:when test="${fn:containsIgnoreCase(clientApp, 'FCFO')}">
        <%@ include file="/fcfo/securePage.jspf" %>
    </c:when>
    <c:when test="${fn:toLowerCase(clientApp) == fn:toLowerCase('CRUISEMOBILE')}">
        <%@ include file="/mcruise/mobileCruiseSecurePage.jspf" %>
    </c:when>
    <c:when test="${fn:toLowerCase(clientApp) == fn:toLowerCase('Cruise')}">
       <%@ include file="/thomson/cruise/securePage.jspf" %>
    </c:when>
    <c:when test="${fn:containsIgnoreCase(clientApp, 'TFLY')}">
       <%@ include file="/tflyredesign/securePage.jspf" %>
    </c:when>
    <c:when test="${fn:containsIgnoreCase(clientApp, 'WSS')}">
       <%@ include file="/wss/securePage.jsp" %>
    </c:when>
     <c:when test="${fn:toLowerCase(clientApp) == fn:toLowerCase('NEWSKIES')}">
        <%@ include file="/newskies/securePage.jspf" %>
    </c:when>
    <c:when test="${fn:containsIgnoreCase(clientApp, 'ThomsonFHPI')}">
        <%@ include file="/thomson/byoredesign/securePage.jspf" %>
    </c:when>
    <c:when test="${fn:containsIgnoreCase(clientApp, 'B2CShorex')}">
        <%@ include file="/shorex/b2c/securePage.jspf" %>
    </c:when>
   <c:when test="${fn:containsIgnoreCase(clientApp, 'FCX')}">
        <%@ include file="/fcx/FCXSecurePage.jspf" %>
    </c:when>
    <c:when test="${fn:containsIgnoreCase(clientApp, 'THX')}">
        <%@ include file="/thx/THXSecurePage.jspf" %>
    </c:when>
    <c:when test="${fn:toLowerCase(clientApp) == fn:toLowerCase('FIRSTCHOICE')}">
        <%@ include file="/firstchoice/firstchoice3DSecurePage.jspf" %>
    </c:when>
   <c:when test="${fn:toLowerCase(clientApp) == fn:toLowerCase('THOMSON')}">
        <%@ include file="/thomson/thomson3DSecurePage.jspf" %>
    </c:when>
   <c:when test="${fn:toLowerCase(clientApp) == fn:toLowerCase('NEWSKIESM')}">
        <%@ include file="/newskiesm/securePage.jspf" %>
    </c:when>
    <c:when test="${fn:toLowerCase(clientApp) == fn:toLowerCase('MANAGEFIRSTCHOICE')}">
        <%@ include file="/managefc/manageFC3DSecurePage.jspf" %>
    </c:when>
    <c:when test="${fn:toLowerCase(clientApp) == fn:toLowerCase('MANAGETHOMSON')}">
        <%@ include file="/manageth/manageTH3DSecurePage.jspf" %>
    </c:when>
    <c:when test="${fn:toLowerCase(clientApp) == fn:toLowerCase('HYBRISTHCRUISE')}">
        <%@ include file="/hybristhcruise/hybrisTHCruise3DSecurePage.jspf" %>
    </c:when>
    <c:when test="${fn:toLowerCase(clientApp) == fn:toLowerCase('HYBRISFALCON')}">
        <%@ include file="/hybrisfalcon/falcon3DSecurePage.jspf" %>
    </c:when>
    <c:when test="${fn:toLowerCase(clientApp) == fn:toLowerCase('HYBRISFALCONFO')}">
        <%@ include file="/falconfo/falconFO3DSecurePage.jspf" %>
    </c:when>
    <c:when test="${fn:toLowerCase(clientApp) == fn:toLowerCase('FALCONFOMOBILE')}">
        <%@ include file="/mobilefalconfo/mobileFalconFO3DSecurePage.jspf" %>
    </c:when>
    <c:when test="${fn:toLowerCase(clientApp) == fn:toLowerCase('HYBRISTHFO')}">
        <%@ include file="/hybristhfo/flightsOnly3DSecurePage.jspf" %>
    </c:when>
    <c:when test="${fn:toLowerCase(clientApp) == fn:toLowerCase('MFLIGHTONLY')}">
        <%@ include file="/mflightonly/mobileFoSecurePage.jspf" %>
    </c:when>
     <c:when test="${fn:toLowerCase(clientApp) == fn:toLowerCase('THOMSONMOBILE')}">
        <%@ include file="/mthomson/mobileThomsonSecurePage.jspf" %>
    </c:when>
    <c:when test="${fn:toLowerCase(clientApp) == fn:toLowerCase('FIRSTCHOICEMOBILE')}">
        <%@ include file="/mfirstchoice/mobileFirstchoiceSecurePage.jspf" %>
    </c:when>
    <c:when test="${fn:toLowerCase(clientApp) == fn:toLowerCase('FALCONMOBILE')}">
        <%@ include file="/mfalcon/mobileFalconSecurePage.jspf" %>
    </c:when>
    <c:when test="${fn:toLowerCase(clientApp) == fn:toLowerCase('TUITH')}">
        <%@ include file="/tuith/tuithSecurePage.jspf" %>
    </c:when>
    <c:when test="${fn:toLowerCase(clientApp) == fn:toLowerCase('TUIFC')}">
        <%@ include file="/tuifc/tuifcSecurePage.jspf" %>
    </c:when>
    <c:when test="${fn:toLowerCase(clientApp) == fn:toLowerCase('TUIFALCON')}">
        <%@ include file="/tuifalcon/tuifalconSecurePage.jspf" %>
    </c:when>
    <c:when test="${fn:toLowerCase(clientApp) == fn:toLowerCase('TUITHCRUISE')}">
        <%@ include file="/tuithcruise/tuithcruiseSecurePage.jspf" %>
    </c:when>
	<c:when test="${fn:toLowerCase(clientApp) == fn:toLowerCase('TUICRUISEDEALS')}">
        <%@ include file="/tuicruisedeals/tuicruisedealsSecurePage.jspf" %>
    </c:when>
    <c:when test="${fn:toLowerCase(clientApp) == fn:toLowerCase('TUIHMCRUISE')}">
        <%@ include file="/tuihmcruise/tuihmcruiseSecurePage.jspf" %>
    </c:when> 
     <c:when test="${fn:toLowerCase(clientApp) == fn:toLowerCase('TUITHSHOREX')}">
        <%@ include file="/tuithshorex/tuithshorexSecurePage.jspf" %>
    </c:when>
     <c:when test="${fn:toLowerCase(clientApp) == fn:toLowerCase('TUITHRIVERCRUISE')}">
        <%@ include file="/tuithcruise/tuithcruiseSecurePage.jspf" %>
    </c:when>
    <c:when test="${fn:toLowerCase(clientApp) == fn:toLowerCase('TUITHFO')}">
        <%@ include file="/tuithfo/tuithfoSecurePage.jspf" %>
    </c:when>
    <c:when test="${fn:toLowerCase(clientApp) == fn:toLowerCase('TUIFALCONFO')}">
        <%@ include file="/tuifalconfo/tuifalconFO3DSecurePage.jspf" %>
    </c:when>
    <c:otherwise>
    </c:otherwise>
</c:choose>